Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74814 - /etc/nologin is not removed on boot
Summary: /etc/nologin is not removed on boot
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
: 78129 (view as bug list)
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2002-10-01 21:13 UTC by Need Real Name
Modified: 2015-10-30 20:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-01 21:13:32 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-10-01 21:13:26 UTC
I rebooted my RedHat 7.3 server.  It was having some kind of wacky file
descriptor insanity.  When it came back on-line I was unable to ssh in because
the /etc/nologin was still present.  I had to ssh in as root (only possible
because I had overlooked this security hole) and remove the file before I could
log in as a normal user.


Expected Results:

  I think the mature UNIXes deal with this problem by performing an "rm
/etc/nologin" somewhere in their init scripts.  RedHat should do this too. 
rc.sysinit is the likely candidate.

Comment 1 Bill Nottingham 2002-11-12 06:32:18 UTC
This was determined as not the way to do it back in 1999; I'm not sure I want to
change this behavior now.

Comment 2 Need Real Name 2002-11-12 15:51:24 UTC
So, are you saying that when the reboot malfunctions somehow and the machine
boots with an /etc/nologin that the only resolution is physical access by
someone with the root password?

If this is the case, how do I prevent /etc/nologin from being created during the
reboot process?

Comment 3 Bill Nottingham 2002-11-19 16:13:11 UTC
*** Bug 78129 has been marked as a duplicate of this bug. ***

Comment 4 Dax Kelson 2006-02-01 17:46:56 UTC
The other UNIXes have this behavior (which has been in place for decades) correct. 

A reboot should delete the /etc/nologin file.

Comment 5 Dax Kelson 2015-10-30 20:20:22 UTC
I'm happy to see that 8.5 years later, RHEL7 agreed with me. :)


Note You need to log in before you can comment on or make changes to this bug.